package com.zd.exam.service;

import com.zd.exam.domain.ElCategory;

import java.util.List;

/**
 * 学习分类Service接口
 *
 * @author liubo
 * @date 2021-12-07
 */
public interface IElCategoryService {
    /**
     * 查询学习分类
     *
     * @param id 学习分类主键
     * @return 学习分类
     */
    public ElCategory selectElCategoryById(Long id);

    /**
     * 查询学习分类列表
     *
     * @param elCategory 学习分类
     * @return 学习分类集合
     */
    public List<ElCategory> selectElCategoryList(ElCategory elCategory);

    /**
     * 新增学习分类
     *
     * @param elCategory 学习分类
     * @return 结果
     */
    public int insertElCategory(ElCategory elCategory);

    /**
     * 修改学习分类
     *
     * @param elCategory 学习分类
     * @return 结果
     */
    public int updateElCategory(ElCategory elCategory);

    /**
     * 批量删除学习分类
     *
     * @param ids 需要删除的学习分类主键集合
     * @return 结果
     */
    public int deleteElCategoryByIds(Long[] ids);

    /**
     * 删除学习分类信息
     *
     * @param id 学习分类主键
     * @return 结果
     */
    public int deleteElCategoryById(Long id);

    List<ElCategory>  treeList(ElCategory elCategory);
}
